// ColorLibrary.cs
// Copyright (c) 2015 Bentley Systems, Incorporated. All Rights Reserved.

using System.Drawing;

namespace Haestad.Framework.UI.Integration
{
    /// <summary>
    /// Class provides static utility methods for working with colors.
    /// </summary>
    internal sealed class ColorLibrary
    {
        #region Constructor
        private ColorLibrary()
        {
        }
        #endregion

        #region Public Static Methods
        public static System.Drawing.Color FromColor(System.Windows.Media.Color color)
        {
            return System.Drawing.Color.FromArgb(color.A, color.R, color.G, color.B);
        }

        public static System.Windows.Media.Color FromColor(System.Drawing.Color color)
        {
            return System.Windows.Media.Color.FromArgb(color.A, color.R, color.G, color.B);
        }
        #endregion
    }
}
